/*
  Project: L293D motor driver shield, 4 DC motors
  Function: 4 DC motors TEST
*/
//********************************************************
#include <AFMotor.h>//include the library code
//********************************************************
AF_DCMotor motor1(1, MOTOR12_64KHZ);//creates DC motor 1, 64KHz pwm
AF_DCMotor motor2(2, MOTOR12_64KHZ);//creates DC motor 2, 64KHz pwm
AF_DCMotor motor3(3, MOTOR34_64KHZ);//creates DC motor 3, 64KHz pwm
AF_DCMotor motor4(4, MOTOR34_64KHZ);//creates DC motor 4, 64KHz pwm
//********************************************************
void setup() {
  Serial.begin(9600); //initialize serial communications at 9600 bps
  Serial.println("DC motors 1 - 4 test");
  motor1.setSpeed(200);//sets the speed to 200 (maximum is 255)
  motor2.setSpeed(200);//sets the speed to 200 (maximum is 255)
  motor3.setSpeed(200);//sets the speed to 200 (maximum is 255)
  motor4.setSpeed(200);//sets the speed to 200 (maximum is 255)
}

void loop() {
  Serial.print("Turn DC motors 1 - 4 forward");
  motor1.run(FORWARD);      //turns DC motor 1 forward
  motor2.run(FORWARD);      //turns DC motor 2 forward
  motor3.run(FORWARD);      //turns DC motor 3 forward
  motor4.run(FORWARD);      //turns DC motor 4 forward
  delay(1000);//sets delay for 1 second

  Serial.print("Turn DC motors 1 - 4 back");
  motor1.run(BACKWARD);     //turns DC motor 1 back
  motor2.run(BACKWARD);     //turns DC motor 2 back
  motor3.run(BACKWARD);     //turns DC motor 3 back
  motor4.run(BACKWARD);     //turns DC motor 4 back
  delay(1000);//sets delay for 1 second

  Serial.print("Stop DC motors 1 - 4");
  motor1.run(RELEASE);      //DC motor 1 stopped
  motor2.run(RELEASE);      //DC motor 2 stopped
  motor3.run(RELEASE);      //DC motor 3 stopped
  motor4.run(RELEASE);      //DC motor 4 stopped
  delay(1000);//sets delay for 1 second
}
